Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.epochx.stats
Interface GenerationStatListener

All Known Implementing Classes:
  CubicRegression, Even4Parity, Even5Parity, Even7Parity, GPAbstractModel, Majority5, Majority9, Multiplexer11Bit, Multiplexer20Bit, Multiplexer37Bit, Multiplexer6Bit, QuarticRegression, SantaFeTrail

    public interface GenerationStatListener

GenerationStatsListener uses the listener pattern to provide a flexible way of accessing statistics about each generation. Models which require statistics about generations throughout a run would typically implement this interface. GPAbstractModel already provides an implementation. There are 2 steps to using this interface to gain access to generation statistics.

- Implement getGenStatFields() to return an array of the GenStatFields required, in the order desired.
- Implement generationStats(Object[]) which will receive these statistics in that order to use them however required - print to screen, file, etc.

Method Summary
`void` | `generationStats(int generation, java.lang.Object[] stats)` This method will be called after every generation completes with an array containing the statistics requested with getGenStatFields().
`GenerationStatField[]` | `getGenStatFields()` The implementing class must return an array of fields which the listening objects are interested in listening to.

Method Detail

### getGenStatFields

    GenerationStatField[] getGenStatFields()

  The implementing class must return an array of fields which the listening objects are interested in listening to. The values for each of the fields this method returns will be given as part of the stats array passed to the generationStats(Object[]) array.

### generationStats

    void generationStats(int generation,
                         java.lang.Object[] stats)

  This method will be called after every generation completes with an array containing the statistics requested with getGenStatFields().

  Parameters:
    `stats` - An array of statistics relating to the last generation completed. The order of the array will match the order that the fields were requested in the return of getGenStatFields() method. The array is of type Object[] but the dynamic type of each element will vary depending on the field. For information of types view the comments on the stats fields.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD